#include <QApplication>
#include <QListWidget>
#include <qdebug.h>

class myList: public QListWidget
{
public:
  myList(QWidget *parent=0):QListWidget(parent)
  {
    setVerticalScrollMode(QAbstractItemView::ScrollPerPixel);
    setHorizontalScrollMode(QAbstractItemView::ScrollPerPixel);
    QFont* font = new QFont("Arial");
    font->setPixelSize(13);
    setFont(*font);
    setGeometry(20,20,151, 141);
    addItem("1");
    addItem("2");
    addItem("3");
    addItem("4");
    addItem("5");
    addItem("6");
    addItem("7");
   // addItem("8"); // if you uncomment it this does not crash. it seems it is related to scrollbar 
    addItem("12345678901234567890");
  }
};

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QWidget window;
    qDebug() << QT_VERSION_STR;
    window.setWindowTitle(QT_VERSION_STR);
    new myList(&window);
    window.show();
    return app.exec();
}
